Skip to content

POST /processes

Endpoint

POST /processes

Headers

biometrid-app: YOUR_APP_ID
biometrid-credential: YOUR_CREDENTIAL_ID
Content-Type: application/json

Request Body

{
  "reference": "string"
}

Parameters

Field Type Required Description
reference string optional Reference identifier for the process

cURL Example

curl -X POST "https://api.biometrid.com/processes" \
  -H "biometrid-app: YOUR_APP_ID" \
  -H "biometrid-credential: YOUR_CREDENTIAL_ID" \
  -H "Content-Type: application/json" \
  -d '{
    "reference": "user_12345"
  }'

Response (201)

{
  "data": {
    "processId": "string",
    "flowId": "string",
    "step": {
      "id": "string",
      "name": "string",
      "next": "string",
      "settings": {
        "maxRetries": 0,
        "preventPrevious": false,
        "deviceType": "mobile"
      },
      "action": {
        "type": "form",
        "fields": [],
        "settings": {},
        "provider": {
          "providerId": "string",
          "provider": "string"
        }
      },
      "tasks": []
    },
    "path": {
      "id": "string",
      "name": "string"
    },
    "completedSteps": {
      "id": "string",
      "name": "string",
      "type": "form"
    }
  },
  "meta": {
    "message": "Successfull created process",
    "code": "BIOPMPCS004"
  },
  "status": true
}

Response (403)

{
  "data": {},
  "meta": {
    "message": "Process finished",
    "code": "BIOPMSCE002"
  },
  "status": false
}

Response (404)

{
  "data": {},
  "meta": {
    "message": "Flow not found",
    "code": "BIOFMFSE001"
  },
  "status": false
}

Response (409)

{
  "data": {},
  "meta": {
    "message": "Flow not active",
    "code": "BIOACASE006"
  },
  "status": false
}